
So, you want to contribute to this project! That's awesome. However, before
doing so, please read the following simple steps how to contribute. This will
make the life easier and will avoid wasting time on things which are not
requested. :sparkles:

## Discuss the changes before doing them
 - First of all, [open an issue](https://github.com/croqaz/clean-mark/issues)
   in the repository, describing the contribution you would like to make,
   the bug you found or any other ideas you have. This will help us to get
   you started on the right foot.

 - If it makes sense, add the platform and software information (e.g. operating
   system, Node.JS version etc.), screenshots (so we can see what you are
   seeing).

 - It is recommended to wait for feedback before continuing to next steps.
   However, if the issue is clear (e.g. a typo) and the fix is simple, you can
   continue and fix it.

## Fixing issues
 - Fork the project in your account and create a branch with your fix:
   `some-great-feature` or `some-issue-fix`.

 - Commit your changes in that branch, writing the code following the
   **code style**. If the project contains tests (generally, the `test`
   directory), you are encouraged to add a test as well.

 - Since the project contains a `package.json` file, add yourself in
   the `contributors` array:

   ```json
   {
      "contributors": [
         "Your Name <and@email.address> (http://your.website)"
      ]
   }
   ```

## Creating a pull request

 - Open a pull request, and reference the initial issue in the pull request
   message (e.g. *fixes #<your-issue-number>*). Write a good description and
   title, so everybody will know what is fixed/improved.

 - If it makes sense, add screenshots, gifs etc., so it is easier to see what
   is going on.

## Wait for feedback
Before accepting your contributions, we will review them. You may get feedback
about what should be fixed in your modified code. If so, just keep committing
in your branch and the pull request will be updated automatically.

## Code style
Instead of wasting time debating what's the best style, we are using automated
formatting tools. The coding standard is "prettier" + "standard".

* two spaces for indentation-level
* single quotes for strings
* no semicolons at the end of statements
* omit parentheses around a sole arrow function parameter
* ALWAYS use spaces after list items and method parameters ([1, 2, 3], not [1,2,3]), around operators (x += 1, not x+=1), and around hash arrows

Just run `npm run format` and `npm run lint` before the tests.

## Everyone is happy!
Finally, your contributions will be merged, and everyone will be happy! :smile:
Contributions are more than welcome!

Thanks!
